This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 78102 - pcmcia rc script uses insmod, leads to unsatisfied dependancies
pcmcia rc script uses insmod, leads to unsatisfied dependancies
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
8.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-18 21:54 EST by Need Real Name
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-18 21:54:32 EST
Description of Problem:

The /etc/rc.d/init.d/pcmcia script uses insmod if the /lib/modules/
{kernelversion}/pcmcia directory exists.  This prevents any module dependencies 
from being satisfied by modprobe.  Simply removing the /lib/modules/
{kernelversion}/pcmcia directory causes the rc script to revert to using 
modprobe instead of insmod, solving the problem.

This may only occur with custom built kernel where one of the pcmcia drivers 
depends on another module.  It's also quite possible that this scenario could 
occur in a Red Hat supplied kernel.  It's probably best to use modprobe at all 
times if possible.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Note You need to log in before you can comment on or make changes to this bug.